---
title: nlohmann::adl_serializer< T, std::enable_if_t< llarp::rpc::json_is_binary< T > > >

---

# nlohmann::adl_serializer< T, std::enable_if_t< llarp::rpc::json_is_binary< T > > >



 [More...](#detailed-description)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| void | **[to_json](Classes/structnlohmann_1_1adl__serializer_3_01T_00_01std_1_1enable__if__t_3_01llarp_1_1rpc_1_1json__is__binary_3_01T_01_4_01_4_01_4.md#function-to-json)**(json & , const T & ) |
| void | **[from_json](Classes/structnlohmann_1_1adl__serializer_3_01T_00_01std_1_1enable__if__t_3_01llarp_1_1rpc_1_1json__is__binary_3_01T_01_4_01_4_01_4.md#function-from-json)**(const json & j, T & val) |

## Detailed Description

```cpp
template <typename T >
struct nlohmann::adl_serializer< T, std::enable_if_t< llarp::rpc::json_is_binary< T > > >;
```

## Public Functions Documentation

### function to_json

```cpp
static inline void to_json(
    json & ,
    const T & 
)
```


### function from_json

```cpp
static inline void from_json(
    const json & j,
    T & val
)
```


-------------------------------

Updated on 2023-06-06 at 21:47:58 +0000